Customer pools

List Customer Pool Attributes

Get attributes for a customer pool.

GET
/customer/projects/{projectId}/customer-pools/{customerPoolId}/attributes

Authorization

clientKeyHeader clientSecretHeader
x-client-key<token>

Client API key credential.

In: header

x-client-secret<token>

Client API secret credential.

In: header

Path Parameters

projectId*string
customerPoolId*string

Query Parameters

search?string
attributeTypes*string
Value in"all" | "custom" | "app"
page*string
Default"1"
Match^[0-9]+$
size*string
Default"25"
Match^[0-9]+$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.dokaai.com/api/v1/dokaai/customer/projects/string/customer-pools/string/attributes?attributeTypes=all&page=1&size=25"
{
  "status": "success",
  "message": "string",
  "data": [
    {
      "id": "string",
      "fieldName": "string",
      "fieldDisplayName": "string",
      "isMandatory": true,
      "isActive": true,
      "fieldType": "string",
      "attributeType": "CUSTOM",
      "fieldDescription": "string",
      "organizationId": "string",
      "customerPoolId": "string"
    }
  ],
  "metaData": {
    "page": 0,
    "hasMore": true,
    "pageSize": 0,
    "count": 0
  },
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}